<?php

namespace edu\wisc\services\cbs\order\header;

use edu\wisc\services\cbs\api\MockService;
use edu\wisc\services\cbs\common\ServiceResponseInterface;
use edu\wisc\services\cbs\order\OrderServiceResponse;

class MockOrderHeaderService implements OrderHeaderService, MockService
{

    /** @var OrderServiceResponse */
    private $response;

    /**
     * {@inheritdoc}
     */
    public function __construct(ServiceResponseInterface $response = null)
    {
        if ($response === null) {
            $this->response = new OrderServiceResponse(
                true,
                'Mock Order Header Service Response'
            );
        } else {
            $this->response = $response;
        }
    }

    /**
     * {@inheritdoc}
     */
    public function createOrderHeader(OrderHeader $header): OrderServiceResponse
    {
        return $this->response;
    }

}