<?php

namespace edu\wisc\services\cbs\price;

use edu\wisc\services\cbs\api\Service;
use Money\Money;

/**
 * Service intended for managing product prices.
 */
interface PriceService extends Service
{

    /**
     * Update the price for the given SKU.
     *
     * @param string $sku
     * @param Money $price
     * @return PriceServiceResponse
     */
    public function updateProductPrice(string $sku, Money $price): PriceServiceResponse;

}
