<?php

namespace edu\wisc\services\cbs\product;

use edu\wisc\services\cbs\api\MockService;
use edu\wisc\services\cbs\common\ServiceResponseInterface;

class MockProductService implements ProductService, MockService
{

    /** @var ProductServiceResponse */
    private $response;

    /**
     * @inheritdoc
     */
    public function __construct(ServiceResponseInterface $response = null)
    {
        if (null === $response) {
            $this->response = new ProductServiceResponse(true, 'Mock CBS Response');
            return;
        }
        $this->response = $response;
    }


    /**
     * {@inheritDoc}
     */
    public function createProduct(Product $product): ProductServiceResponse
    {
        return $this->response;
    }

    /**
     * {@inheritDoc}
     */
    public function updateProduct(Product $product): ProductServiceResponse
    {
        return $this->response;
    }

}
