<?php

namespace edu\wisc\services\cbs\product;

use edu\wisc\services\cbs\api\Service;

/**
 * Service interface for managing products.
 *
 * @author Nicholas Blair
 */
interface ProductService extends Service
{

    /**
     * Create a new product.
     *
     * @param Product product to create
     * @return ProductServiceResponse
     */
    public function createProduct(Product $product): ProductServiceResponse;

    /**
     * Update an existing product.
     *
     * @param Product product to update
     * @return ProductServiceResponse
     */
    public function updateProduct(Product $product): ProductServiceResponse;

}
