<?php
namespace edu\wisc\services\cbs\common;

use Money\Money;

/**
 * Tests for {@link MoneyConversion}
 */
class MoneyConversionTest extends \PHPUnit_Framework_TestCase
{

    /** @test */
    public function convertsMoneyToFloat()
    {
        static::assertSame(1.00, MoneyConversion::convertMoneyToFloat(Money::USD(100)));
        static::assertSame(0.99, MoneyConversion::convertMoneyToFloat(Money::USD(99)));
    }

    /**
     * @test
     * @expectedException \edu\wisc\services\cbs\exception\UnsupportedCurrencyException
     */
    public function throwsWhenNotUsd()
    {
        MoneyConversion::convertMoneyToFloat(Money::EUR(100));
    }
}
