<?php

use edu\wisc\services\cbs\order\OrderServiceResponse;
use edu\wisc\services\cbs\order\interfacing\MockOrderInterfacingService;

class MockOrderInterfacingServiceTest extends PHPUnit_Framework_TestCase
{

    /** @test */
    public function alwaysSucceedsByDefault()
    {
        $client = new MockOrderInterfacingService();
        $response = $client->interfaceOrder("123456");
        static::assertTrue($response->isSuccess());
    }

    /** @test */
    public function returnsCustomResponse()
    {
        $mockResponse = new OrderServiceResponse(
            true,
            "Custom Mock Order Interfacing Service Response"
        );
        $client = new MockOrderInterfacingService($mockResponse);
        $response = $client->interfaceOrder("123456");
        static::assertEquals($mockResponse, $response);
    }

}
